Plugin.extend({
    _type: 'uth',
    _isContainer: false,
    _render: true,
    initPlugin: function(data) {
        var instance = this;
        var dims = this.relativeDims();

        this._self = new createjs.Container();
        this._self.x = dims.x;
        this._self.y = dims.y;
        this._self.origX = dims.x;
        this._self.origY = dims.y;
        this._self.width = dims.w;
        this._self.height = dims.h;
        this._render = true;

        /*UTH Plugin starts*/

        function loadImages(sources, callback) {

            var images = {};
            var loadedImages = 0;
            var numImages = 3;
            var step = (input.toString()).length;
            callback(images);

        }

        var totalwidth = data.w;
        var totalheight = data.h;

        var sources = {
            1: 'ones.png',
            2: 'tens.png',
            3: 'Hundreds.png',
        };

        var input = this._stage.getModelValue(data.inputdata);

        if (input <= 99) {

            var number = {};
            number.hundredth = Math.floor(input / 100);
            var hundrethnumber = number.hundredth;
            number.tenth = ((Math.floor(input / 10)) % 10);
            var tenthnumber = number.tenth;
            number.unit = (input % 10);
            var unitnumber = number.unit;

            loadImages(sources, function(images) {

                var changeinwidth = Math.floor((totalwidth / data.w) * 100);
                var changeinheight = Math.floor((totalheight / data.h) * 100);
                var splitwidth = 30;
                var imagewidthhundredth = splitwidth / 5;
                var imageheighthundredth = (data.h / 2);
                var imagewidthtenth = (splitwidth / 5);
                var imageheighttenth = (data.h / 2);
                var imagewidthunit = (splitwidth / 3);
                var imageheightunit = (data.h / 3);

                var x = data.x;
                var y = data.y;
                var xvar = Math.floor((tenthnumber * changeinwidth) / 100) + x;
                var yvar = y + 10;
                var vvar = Math.floor((unitnumber * changeinwidth) / 100);
                var wvar = yvar + 10;
                var gapbtwnimghundreth = Math.floor(20 * splitwidth);
                var gapbtwnimgtenth = Math.floor((40 * changeinwidth) / 100);
                var gapbtwnimgunit = Math.floor((60 * changeinwidth) / 100);
                var topgapbtwnimgunit = Math.floor((70 * changeinwidth) / 100);
                drawhundredimages(imagewidthhundredth, imageheighthundredth, x, images, y);
                drawtenthimages(imagewidthtenth, imageheighttenth, x, images, y);
                drawunitimages(imagewidthunit, imageheightunit, x, images, y);

            });

            function drawhundredimages(imagewidthhundredth, imageheighthundredth, x, images, y) {
                var initialxvaluehundreth = x;
                var d = {};
                d.x = x;
                d.y = y;
                d.w = 100;
                d.h = 50;
                d.type = 'gridLayout';
                d.asset = 'tenth';
                d.count = number.hundredth;
                PluginManager.invoke('placeholder', d, instance, instance._stage, instance._theme);

            }

            function drawtenthimages(imagewidthtenth, imageheighttenth, x, images, y) {
                var initialxvaluetenth = x;
                var d = {};
                d.x = x;
                d.y = y;
                d.w = 100;
                d.h = 25;
                d.type = 'gridLayout';
                d.asset = 'tenth';
                d.count = number.tenth;
                PluginManager.invoke('placeholder', d, instance, instance._stage, instance._theme);
            }

            function drawunitimages(imagewidthunit, imageheightunit, x, images, y) {
                var imagescontainer;
                var initialxvalueunit = x;
                var d = {};
                d.x = x;
                d.y = y + 55;
                d.w = 100;
                d.h = 25;
                d.type = 'gridLayout';
                d.asset = 'one';
                d.count = number.unit;
                PluginManager.invoke('placeholder', d, instance, instance._stage, instance._theme);
            }

        }
    }
});
